## wxRectangleShape

The wxRectangleShape has rounded or square corners.

Derived from

wxShape

Members

wxRectangleShape::wxRectangleShape
wxRectangleShape::~wxRectangleShape
wxRectangleShape::SetCornerRadius

### wxRectangleShape::wxRectangleShape

wxRectangleShape(double width = 0.0, double height = 0.0)

Constructor.

### wxRectangleShape::~wxRectangleShape

~wxRectangleShape()

Destructor.

### wxRectangleShape::SetCornerRadius

void SetCornerRadius(double radius)

Sets the radius of the rectangle's rounded corners. If the radius is zero, a non-rounded rectangle will be drawn. If the radius is negative, the value is the proportion of the smaller dimension of the rectangle.